%define pre	%nil
%define rel	3

Summary:	Feature-rich user backup program
Name:		fwbackups
Version:	1.43.6
%if "%pre" != ""
Release:	%mkrel 0.%pre.%rel
%else
Release:	%mkrel %rel
%endif
Group:		Archiving/Backup
License:	GPLv2+
URL:		http://www.diffingo.com/oss/fwbackups/
Source0:	http://www.diffingo.com/downloads/fwbackups/%{name}-%{version}%{pre}.tar.bz2
Patch0:		%{name}-desktop-categories.patch
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	xsltproc
BuildRequires:	python-devel
Requires:	pygtk2.0
Requires:	pygtk2.0-libglade
Requires:	python-pycrypto
Requires:	python-paramiko
Requires:	python-notify
Requires:	tar
Requires:	rsync

%description
fwbackups is a feature-rich user backup program that allows you to
backup your documents anytime, anywhere.

It offers a simple but powerful interface that permits you to perform
backups with ease, supporting scheduled backups and backing up to
remote computers.

%prep
%setup -q -n %{name}-%{version}%{pre}
%autopatch -p1

%build
autoreconf -fi
%configure2_5x
%make

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{python_sitelib}/%{name}




%changelog
* Wed Mar 16 2016 daviddavid <daviddavid> 1.43.6-3.mga6
+ Revision: 991726
- rediff unappliable desktop-categories patch (since fixed autopatch)

* Mon Feb 08 2016 umeabot <umeabot> 1.43.6-2.mga6
+ Revision: 945119
- Mageia 6 Mass Rebuild

* Sun Jan 31 2016 alexl <alexl> 1.43.6-1.mga6
+ Revision: 929267
- del upstreamed fdopen.patch
- s/makeinstall_std/make_install/
- icon theme spec was upstreamed, del imagemagick from br
- install localization
- version 1.43.6

* Wed Oct 15 2014 umeabot <umeabot> 1.43.4-8.mga5
+ Revision: 748952
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.43.4-7.mga5
+ Revision: 679388
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.43.4-6.mga5
+ Revision: 628200
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 1.43.4-5.mga4
+ Revision: 504684
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.43.4-4.mga3
+ Revision: 351005
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 12 2011 doktor5000 <doktor5000> 1.43.4-3.mga2
+ Revision: 181036
- fix attempted backup of non-existing file fdopen (mga#3699)

* Mon Jan 17 2011 pterjan <pterjan> 1.43.4-2.mga1
+ Revision: 21341
- Rebuild for python 2.7

* Sat Jan 15 2011 anssi <anssi> 1.43.4-1.mga1
+ Revision: 19841
- new version
- imported package fwbackups


* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 1.43.3-0.rc6.1mdv2011.0
+ Revision: 590923
- new version 1.43.3 r6

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 1.43.3-0.rc5.2mdv2011.0
+ Revision: 590878
- BR python-devel
- rebuild for py 2.7

* Wed Sep 01 2010 Anssi Hannula <anssi@mandriva.org> 1.43.3-0.rc5.1mdv2011.0
+ Revision: 575154
- initial Mandriva release

